"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const path_1 = __importDefault(require("path"));
function invokeWebpack(dir, webpackConfig) {
    const webpack = path_1.default.join(dir, 'node_modules', '.bin', 'webpack-cli');
    const stdout = child_process_1.execFileSync(process.execPath, ['--max-old-space-size=4096', webpack, '--config', webpackConfig, '--json'], {
        cwd: dir,
        maxBuffer: 1024 * 1024 * 1024,
    });
    return JSON.parse(stdout.toString()).modules;
}
exports.invokeWebpack = invokeWebpack;
