"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ReferenceType;
(function (ReferenceType) {
    ReferenceType["HARMONY"] = "Imports";
    ReferenceType["COMMON_JS"] = "Requires";
    ReferenceType["UNKNOWN"] = "Implicit";
})(ReferenceType = exports.ReferenceType || (exports.ReferenceType = {}));
var ComponentType;
(function (ComponentType) {
    ComponentType["JAVASCRIPT"] = "JavaScript";
    ComponentType["TYPESCRIPT"] = "TypeScript";
    ComponentType["STYLE"] = "Style";
    ComponentType["TEMPLATE"] = "Template";
    ComponentType["GRAPHIC"] = "Graphic";
    ComponentType["FONT"] = "Font";
    ComponentType["UNKNOWN"] = "Unknown";
    ComponentType["LIBRARY"] = "Library";
    ComponentType["DIRECTORY"] = "Directory";
})(ComponentType = exports.ComponentType || (exports.ComponentType = {}));
var Workspace;
(function (Workspace) {
    Workspace["SOURCES"] = "sources";
    Workspace["LIBRARIES"] = "libraries";
})(Workspace = exports.Workspace || (exports.Workspace = {}));
